#include <iostream>
#include <cmath>

#include <octave/oct.h>

#include <octave/parse.h>

DEFUN_DLD (f, args, , "[...] = f (...) bla ")
{
  octave_value_list retval;
  int nargin = args.length ();
  if (nargin >1 ) {
    print_usage ("f");
    return retval;
  }

  octave_value X_arg = args(0);
  int nr= X_arg.rows();
  //  int nc= X_arg.columns();
  Matrix xy=X_arg.matrix_value();
  ColumnVector result (nr);

  for(int i= 0; i < nr; i++) {
    result(i)=10.0*(xy(i,0)-xy(i,1));
  }

  retval(0)=result;
  
  return retval;
}

DEFUN_DLD (a, args, , "[...] = a (...) bla ")
{
  octave_value_list retval;
  int nargin = args.length ();
  if (nargin >1 ) {
    print_usage ("a Coeff");
    return retval;
  }

  octave_value X_arg = args(0);
  int nr= X_arg.rows();
  //  int nc= X_arg.columns();

  ColumnVector result (nr);

  for(int i= 0; i < nr; i++) {
    result(i)=1.0;
  }

  retval(0)=result;
  
  return retval;
}


